
const axios = require('axios');


var { account_config } = require('../config/config.js')

var url = account_config.CZZ_BASEURL

const withdraw = async (params) => {
    var log = '环境:' + process.env.NODE_ENV + ' params ' + params;
    var data = { ...params }
    return new Promise(resolve => {
        axios.post(url, data)
            .then(res => {
                console.log('res=>', res.status, res.data);
                resolve({
                    code: 0,
                    data: res
                })
            }).catch(err => {
                console.error('http_request_post error ', err);
                resolve({
                    code: -1,
                    err: err
                })
            });
    })

}

module.exports = {
    withdraw
}